com.google.gwt.dom.client

## Class LinkElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.LinkElement

    @TagName(value="link")
    public class LinkElement
    extends Element

The LINK element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa).

See Also:
  W3C HTML Specification

### Field Summary

Fields
`static java.lang.String` `TAG`

### Fields inherited from class com.google.gwt.dom.client.Element

`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

### Fields inherited from class com.google.gwt.dom.client.Node

`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `LinkElement()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static LinkElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`boolean` `getDisabled()` Deprecated. use `isDisabled()` instead.
`java.lang.String` `getHref()` The URI of the linked resource.
`java.lang.String` `getHreflang()` Language code of the linked resource.
`java.lang.String` `getMedia()` Designed for use with one or more target media.
`java.lang.String` `getRel()` Forward link type.
`java.lang.String` `getTarget()` Frame to render the resource in.
`java.lang.String` `getType()` Advisory content type.
`static boolean` `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` `is(Node node)` Determine whether the given `Node` can be cast to this class.
`boolean` `isDisabled()` Enables/disables the link.
`void` `setDisabled(boolean disabled)` Enables/disables the link.
`void` `setHref(java.lang.String href)` The URI of the linked resource.
`void` `setHreflang(java.lang.String hreflang)` Language code of the linked resource.
`void` `setMedia(java.lang.String media)` Designed for use with one or more target media.
`void` `setRel(java.lang.String rel)` Forward link type.
`void` `setTarget(java.lang.String target)` Frame to render the resource in.
`void` `setType(java.lang.String type)` Advisory content type.

### Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

### Methods inherited from class com.google.gwt.dom.client.Node

`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

### Constructor Detail

#### LinkElement

    protected LinkElement()

### Method Detail

#### as

    public static LinkElement as(Element elem)

Assert that the given `Element` is compatible with this class and automatically typecast it.

#### is

    public static boolean is(JavaScriptObject o)

Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

#### is

    public static boolean is(Node node)

Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

#### is

    public static boolean is(Element elem)

Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

#### getDisabled

    @Deprecated
    public final boolean getDisabled()

Deprecated. use `isDisabled()` instead.
Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

#### getHref

    public final java.lang.String getHref()

The URI of the linked resource.

See Also:
  W3C HTML Specification

#### getHreflang

    public final java.lang.String getHreflang()

Language code of the linked resource.

See Also:
  W3C HTML Specification

#### getMedia

    public final java.lang.String getMedia()

Designed for use with one or more target media.

See Also:
  W3C HTML Specification

#### getRel

    public final java.lang.String getRel()

Forward link type.

See Also:
  W3C HTML Specification

#### getTarget

    public final java.lang.String getTarget()

Frame to render the resource in.

See Also:
  W3C HTML Specification

#### getType

    public final java.lang.String getType()

Advisory content type.

See Also:
  W3C HTML Specification

#### isDisabled

    public final boolean isDisabled()

Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

#### setDisabled

    public final void setDisabled(boolean disabled)

Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

#### setHref

    public final void setHref(java.lang.String href)

The URI of the linked resource.

See Also:
  W3C HTML Specification

#### setHreflang

    public final void setHreflang(java.lang.String hreflang)

Language code of the linked resource.

See Also:
  W3C HTML Specification

#### setMedia

    public final void setMedia(java.lang.String media)

Designed for use with one or more target media.

See Also:
  W3C HTML Specification

#### setRel

    public final void setRel(java.lang.String rel)

Forward link type.

See Also:
  W3C HTML Specification

#### setTarget

    public final void setTarget(java.lang.String target)

Frame to render the resource in.

See Also:
  W3C HTML Specification

#### setType

    public final void setType(java.lang.String type)

Advisory content type.

See Also:
  W3C HTML Specification